Subject: Re: [PATCH 1/4] Add support for 750CL Holly board

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 09 May 2007 09:17:54 +1000

> > This won't work well if you ever want to build a multiplatform kernel.
> 
> I know.  What do you suggest?  TSI doesn't use phylib, and adding a
> property to specify PHY type in the DT seems like a hack too...

Fix the TSI network driver. PHYs can be probed.

> As a "reg" property perhaps?  I'm not a DT guru, so I was a bit lost as
> to how to fix that up.

Yes, it's common to get the config space address of the "reg" property
of the bridge.

Ben.